require 'test_helper'

class IndexInvitationsTest < ActionDispatch::IntegrationTest

  def setup
    @john = cally_users(:john)
    @joe = cally_users(:joe)

    ENV['INVITATION_ONLY'] = 'true'
  end

  def teardown
    ENV['INVITATION_ONLY'] = 'false'
  end

  test 'show all invitations as admin (valid).' do
    login_as(@john, 'john12345678901234567890')
    get '/cally/invitations/all'
    assert_template 'invitations/index'
  end

  test 'show all invitations as non-admin (invalid).' do
    login_as(@joe, 'joe12345678901234567890')
    get '/cally/invitations/all'
    follow_redirect!
    assert_template 'users/show'
    assert_match 'You need to be admin for this action.', response.body
  end

  test 'show all invitations when not logged in (invalid).' do
    get '/cally/invitations/all'
    follow_redirect!
    assert_template 'users/login'
    assert_match 'You need to be admin for this action.', response.body
  end
end
