require 'test_helper'

class ShowAllUsersTest < ActionDispatch::IntegrationTest

  def setup
    @john = cally_users(:john)
    @joe = cally_users(:joe)
  end

  test 'show all users as admin (valid)' do
    login_as(@john, 'john12345678901234567890')
    get '/cally/users'
    assert_template 'users/index'
  end

  test 'show all users as non-admin (invalid)' do
    login_as(@joe, 'joe12345678901234567890')
    get '/cally/users'
    follow_redirect!
    assert_template 'users/show'
    assert_match 'You need to be admin for this action.', response.body
  end

  test 'show all users when not logged in (invalid)' do
    get '/cally/users'
    follow_redirect!
    assert_template 'users/login'
    assert_match 'You need to be admin for this action.', response.body
  end
end
