require 'test_helper'

class ShowUserProfileTest < ActionDispatch::IntegrationTest

  def setup
    @john = cally_users(:john)
    @joe = cally_users(:joe)
  end

  test 'show own profile (valid)' do
    login_as(@john, 'john12345678901234567890')
    get "/cally/users/#{@john.id}"
    assert_template 'users/show'
    assert_match "Welcome #{@john.username}", response.body
  end

  test 'show other user profile (invalid)' do
    login_as(@joe, 'joe12345678901234567890')
    get "/cally/users/#{@john.id}"
    follow_redirect!
    assert_template 'users/login'
    assert_match 'You can only view your own profile.', response.body
  end

  test 'show profile when not logged in (invalid)' do
    get "/cally/users/#{@john.id}"
    follow_redirect!
    assert_template 'users/login'
    assert_match 'You can only view your own profile.', response.body
  end
end
